SSlogis {stats} | R Documentation

## Logistic Model

### Description

This `selfStart` model evaluates the logistic function and its gradient. It has an `initial` attribute that creates initial estimates of the parameters `Asym`, `xmid`, and `scal`.

### Usage

    SSlogis(input, Asym, xmid, scal)

### Arguments

`input` | a numeric vector of values at which to evaluate the model.
`Asym` | a numeric parameter representing the asymptote.
`xmid` | a numeric parameter representing the `x` value at the inflection point of the curve. The value of `SSlogis` will be `Asym/2` at `xmid`.
`scal` | a numeric scale parameter on the `input` axis.

### Value

a numeric vector of the same length as `input`. It is the value of the expression `Asym/(1+exp((xmid-input)/scal))`. If all of the arguments `Asym`, `xmid`, and `scal` are names of objects the gradient matrix with respect to these names is attached as an attribute named `gradient`.

### Author(s)

Jose Pinheiro and Douglas Bates

### See Also

`nls`, `selfStart`

### Examples

    data( ChickWeight )
    Chick.1 <- ChickWeight[ChickWeight$Chick == 1, ]
    SSlogis( Chick.1$Time, 368, 14, 6 )  # response only
    Asym <- 368; xmid <- 14; scal <- 6
    SSlogis( Chick.1$Time, Asym, xmid, scal ) # response and gradient
    getInitial(weight ~ SSlogis(Time, Asym, xmid, scal), data = Chick.1)
    ## Initial values are in fact the converged values
    fm1 <- nls(weight ~ SSlogis(Time, Asym, xmid, scal), data = Chick.1)
    summary(fm1)

[Package Contents]